Redmine - Patch #26149

Remove duplicate method shell_quote
2017-06-13 08:38 - Jens Kramer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 3.4.0

Description

There are two identical methods shell_quote declared in Redmine::Utils::Shell and Redmine::Scm::Adapters::AbstractAdapter.

This patch removes the duplicate declaration from AbstractAdapter and also extracts a generic shell_quote_command method into
Redmine::Utils::Shell.

Associated revisions

Revision 16667 - 2017-06-17 09:42 - Jean-Philippe Lang
Removes duplicate shell_quote method (#26149).

Patch by Jens Kramer.

History

#1 - 2017-06-13 12:45 - Go MAEDA
- Category changed from SCM to Code cleanup/refactoring

- Target version set to 3.4.0

Jens Kramer wrote:

There are two identical methods shell_quote declared in Redmine::Utils::Shell and Redmine::Scm::Adapters::AbstractAdapter.

Indeed. Those two methods are completely identical. The patch looks good to me and passed all tests.
Setting target version to 3.4.0.

#2 - 2017-06-17 09:43 - Jean-Philippe Lang
- Subject changed from duplicate method shell_quote to Remove duplicate method shell_quote
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks!
